Get Project
curl --request GET \
--url https://api.kynasmith.dev/api/projects/{project_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kynasmith.dev/api/projects/{project_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kynasmith.dev/api/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}platform
Get Project
Load a project visible to the current bearer-token principal.
GET
/
api
/
projects
/
{project_id}
Get Project
curl --request GET \
--url https://api.kynasmith.dev/api/projects/{project_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kynasmith.dev/api/projects/{project_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kynasmith.dev/api/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
BearerAccessTokenBearerAccessToken
Backend-issued machine access token for project-scoped API access.
Path Parameters
Response
Successful Response
Project resource returned by platform endpoints.
Project creation timestamp.
Display name for the project.
Owning organization identifier.
Project identifier.
Stable project slug.
Archive timestamp when the project is no longer writable.